# This file is a template, and might need editing before it works on your project.
# You can copy and paste this template into a new `.gitlab-ci.yml` file.
# You should not add this template to an existing `.gitlab-ci.yml` file by using the `include:` keyword.
#
# To contribute improvements to CI/CD templates, please follow the Development guide at:
# https://docs.gitlab.com/ee/development/cicd/templates.html
# This specific template is located at:
# https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/templates/C++.gitlab-ci.yml

# use the official gcc image, based on debian
# can use versions as well, like gcc:5.2
# see https://hub.docker.com/_/gcc/

image: gcc

build:
  stage: build
  # instead of calling g++ directly you can also use some build toolkit like make
  # install the necessary build tools when needed
  before_script:
    - whoami
    - apt-get clean
    - apt-get update -y
    - apt-get install build-essential -y
  script:
    - echo "Bonjour on commence"
    - echo "Install compiler"
    - echo "Compiling"
    - echo $BASH_VERSION
    - cat /proc/version
    - g++ Hello_World.c -o Hello_World.exe
  artifacts:
    paths:
      - Hello_World.exe
      # depending on your build setup it's most likely a good idea to cache outputs to reduce the build time
      # cache:
      #   paths:
      #     - "*.o"

# run tests using the binary built before
test:
  stage: test
  script:
    - echo "start job "test""
    - echo "Define your test script!"

deploy:
  stage: deploy
  script: echo "Define your deployment script!"
  environment: production
